Bug 472448 - Error while attempting to save traceback to USB key
Error while attempting to save traceback to USB key
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 16:32 EST by James Laska
Modified: 2013-09-02 02:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 14:09:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback screenshot (192.08 KB, image/jpeg)
2008-11-20 16:32 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2008-11-20 16:32:17 EST
Created attachment 324244 [details]
traceback screenshot

Description of problem:

Traceback, while booting with "updates" to load an updates.img off of a USB key.  The installer dies while trying to save the traceback.  The presence of the USB key appears to be disrupting the installer.

Version-Release number of selected component (if applicable):
anaconda-11.4.1.61-1

How reproducible:
100%

Steps to Reproduce:
1. Boot installer with "updates"
2. When prompted for updates image, insert USB key containing http://jlaska.fedorapeople.org/traceback.img (this updates img will force a traceback at the welcome screen)
3. When traceback occurs, click "Save"
4. Anaconda prompts to ignore or format the attached USB device (in my case /dev/sdd), click "Ignore"
  
Actual results:

Traceback ... see attached screenshot

Expected results:

No traceback

Additional info:
Comment 1 Chris Lumens 2008-11-24 16:58:53 EST
Can you grab the /tmp/anacdump.txt file?  I wonder if this only happens with USB drives containing updates, though that should not be a problem since the updates source should be unmounted long before this point.
Comment 2 Bug Zapper 2008-11-26 00:42:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 James Laska 2008-11-26 13:28:00 EST
Unable to get the full traceback since it kills anaconda when this hits ... but I've captured a screenshot as an attachment to this bugzilla.
Comment 4 Chris Lumens 2009-04-14 16:21:44 EDT
I don't imagine this is still a problem in the new storage code, is it?

Note You need to log in before you can comment on or make changes to this bug.